Package org.globus.ftp.dc

# Class SimpleTransferThreadFactory

java.lang.Object
org.globus.ftp.dc.SimpleTransferThreadFactory

All Implemented Interfaces:
  `TransferThreadFactory`

public class SimpleTransferThreadFactory extends Object implements TransferThreadFactory

## Constructor Summary

Constructors
Constructor
Description
`SimpleTransferThreadFactory()`

## Method Summary

Modifier and Type
Method
Description
`TransferThread`
`getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context)`
`TransferThread`
`getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SimpleTransferThreadFactory

public SimpleTransferThreadFactory()

## Method Details

### getTransferSinkThread

public TransferThread getTransferSinkThread(DataChannel dataChannel, SocketBox socketBox, DataSink sink, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Specified by:
  `getTransferSinkThread` in interface `TransferThreadFactory`
Throws:
  `Exception`

### getTransferSourceThread

public TransferThread getTransferSourceThread(DataChannel dataChannel, SocketBox socketBox, DataSource source, BasicServerControlChannel localControlChannel, TransferContext context) throws Exception

Specified by:
  `getTransferSourceThread` in interface `TransferThreadFactory`
Throws:
  `Exception`